Skip to main content
POST
/
sites
/
{siteId}
/
approvals
/
approve
Approve page
curl --request POST \
  --url https://api.surefeedback.com/api/v1/sites/{siteId}/approvals/approve \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "page_url": "<string>"
}
'
{
  "success": true,
  "data": {
    "page_url": "https://example.com/home",
    "status": "approved",
    "approved_by": { "id": "...", "name": "Jane Smith" },
    "approved_at": "2026-03-02T14:00:00Z"
  }
}
Marks a page as approved. Requires PROJECT_ADMIN or PROJECT_CLIENT role on the site.

Path parameters

siteId
string
required
UUID or site token of the site.

Request body

page_url
string
required
Full URL of the page to approve.
{
  "success": true,
  "data": {
    "page_url": "https://example.com/home",
    "status": "approved",
    "approved_by": { "id": "...", "name": "Jane Smith" },
    "approved_at": "2026-03-02T14:00:00Z"
  }
}